# Celluloid Essentials

[![Gem Version](https://badge.fury.io/rb/celluloid-essentials.svg)](http://rubygems.org/gems/celluloid-essentials)
[![Build Status](https://secure.travis-ci.org/celluloid/celluloid-essentials.svg?branch=master)](http://travis-ci.org/celluloid/celluloid-essentials)
[![Code Climate](https://codeclimate.com/github/celluloid/celluloid-essentials.svg)](https://codeclimate.com/github/celluloid/celluloid-essentials)
[![Coverage Status](https://coveralls.io/repos/celluloid/celluloid-essentials/badge.svg?branch=master)](https://coveralls.io/r/celluloid/celluloid-essentials)

This gem houses fundamental supporting pieces of `Celluloid` which are not *quite* `Celluloid` itself.

## Classes:

* `Celluloid::Probe`
* `Celluloid::Notifications`
* `Celluloid::Internals`
  * `CallChain`
  * `CPUCounter`
  * `Handlers`
  * `Links`
  * `Logger`
  * `Method`
  * `Properties`
  * `Receivers`
  * `Registry`
  * `Responses`
  * `Signals`
  * `Stack`
  * `TaskSet`
  * `ThreadHandle`
  * `UUID`

## Contributing

* Fork this repository on github
* Make your changes and send us a pull request
* If we like them we'll merge them
* If we've accepted a patch, feel free to ask for commit access

## License

Copyright (c) 2011-2015 Tony Arcieri, Donovan Keme.

Distributed under the MIT License. See [LICENSE.txt](https://github.com/celluloid/celluloid-essentials/blob/master/LICENSE.txt) for further details.
